Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 631324 (CVE-2017-14529) - <sys-devel/binutils-2.29.1 : libbfd mishandles HintName vector entries and allows remote DOS
Summary: <sys-devel/binutils-2.29.1 : libbfd mishandles HintName vector entries and al...
Status: RESOLVED FIXED
Alias: CVE-2017-14529
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-18 13:22 UTC by Aleksandr Wagner (Kivak)
Modified: 2018-01-07 23:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Wagner (Kivak) 2017-09-18 13:22:02 UTC
CVE-2017-14529 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14529):

The pe_print_idata function in peXXigen.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.29, mishandles HintName vector entries, which allows remote attackers to cause a denial of service (heap-based buffer over-read and application crash) via a crafted PE file, related to the bfd_getl16 function. 

References:

https://sourceware.org/bugzilla/show_bug.cgi?id=22113
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=4d465c689a8fb27212ef358d0aee89d60dee69a6
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=dcaaca89e8618eba35193c27afcb1cfa54f74582
Comment 1 Andreas K. Hüttel gentoo-dev 2017-12-27 22:51:09 UTC
All affected versions are masked. No further cleanup (toolchain package). 

Nothing to do for toolchain here anymore. Please proceed.
Comment 2 D'juan McDonald (domhnall) 2018-01-05 06:39:59 UTC
New GLSA request filed.


Gentoo Security Padawan
(Jmbailey/mbailey_j)
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2018-01-07 23:11:43 UTC
This issue was resolved and addressed in
 GLSA 201801-01 at https://security.gentoo.org/glsa/201801-01
by GLSA coordinator Aaron Bauman (b-man).